#
# spec file for package kpeople5
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang
%define rname kpeople
%define _tar_path 5.26
Name:           kpeople5
Version:        5.26.0
Release:        2.3
%define kf5_version %{version}
BuildRequires:  extra-cmake-modules >= %{_tar_path}
BuildRequires:  kcoreaddons-devel >= %{_tar_path}
BuildRequires:  kf5-filesystem
BuildRequires:  ki18n-devel >= %{_tar_path}
BuildRequires:  kitemviews-devel >= %{_tar_path}
BuildRequires:  kservice-devel >= %{_tar_path}
BuildRequires:  kwidgetsaddons-devel >= %{_tar_path}
BuildRequires:  cmake(Qt5DBus) >= 5.5.0
BuildRequires:  cmake(Qt5Gui) >= 5.5.0
BuildRequires:  cmake(Qt5Qml) >= 5.5.0
BuildRequires:  cmake(Qt5Sql) >= 5.5.0
BuildRequires:  cmake(Qt5Test) >= 5.5.0
BuildRequires:  cmake(Qt5Widgets) >= 5.5.0
%if %{with lang}
Recommends:     %{name}-lang
%endif
Summary:        Provides access to all contacts and the people who hold them
License:        LGPL-2.1+
Group:          Development/Libraries/KDE
Url:            http://www.kde.org
Source:         http://download.kde.org/stable/frameworks/%{_tar_path}/%{rname}-%{version}.tar.xz
Source1:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A library that provides access to all contacts and the people who hold them.

%package devel
Summary:        Provides access to all contacts and the people who hold them
Group:          Development/Libraries/KDE
Requires:       %{name} = %{version}
Requires:       cmake(Qt5Core) >= 5.5.0

%description devel
A library that provides access to all contacts and the people who hold them.
Development files for kpeople5.

%lang_package
%prep
%setup -q -n kpeople-%{version}

%build
  %cmake_kf5 -d build -- -DENABLE_EXAMPLES=OFF
  %make_jobs

%install
  %kf5_makeinstall -C build

%if %{with lang}
%find_lang kpeople5 %{name}.lang
%endif

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%if %{with lang}
%files lang -f %{name}.lang
%endif

%files
%defattr(-,root,root)
%doc COPYING
%{_kf5_libdir}/libKF5People*.so.*
%dir %{_kf5_datadir}
%{_kf5_datadir}/kpeople/
%{_kf5_servicetypesdir}/
%{_kf5_qmldir}/

%files devel
%defattr(-,root,root)
%doc COPYING
%{_kf5_libdir}/libKF5People*.so
%{_kf5_libdir}/cmake/KF5People/
%{_kf5_includedir}/
%{_kf5_mkspecsdir}/qt_KPeople.pri
%{_kf5_mkspecsdir}/qt_KPeopleWidgets.pri

%changelog
* Tue Sep  6 2016 hrvoje.senjan@gmail.com
- Update to 5.26.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.26.0.php
* Sun Aug  7 2016 hrvoje.senjan@gmail.com
- Update to 5.25.0
  * Qt >= 5.5 is now required
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.25.0.php
* Wed Jul  6 2016 hrvoje.senjan@gmail.com
- Update to 5.24.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.24.0.php
* Mon Jun  6 2016 hrvoje.senjan@gmail.com
- Update to 5.23.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.23.0.php
* Sat May  7 2016 hrvoje.senjan@gmail.com
- Update to 5.22.0 (boo#980066)
  * Add a check for PersonData being valid
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.22.0.php
* Mon Apr  4 2016 hrvoje.senjan@gmail.com
- Update to 5.21.0 (boo#974793)
  * Set the contact uri as person uri in PersonData when
    no person exists
  * Set a name for the database connection
  * Upgrade Qt version requirement to 5.4.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.21.0.php
* Sun Mar  6 2016 hrvoje.senjan@gmail.com
- Update to 5.20.0 (boo#970856)
  * Fix deprecated API usage
  * Add actionType to the declarative plugin
  * Reverse the filtering logic in PersonsSortFilterProxyModel
  * Make the QML example slightly more usable
  * Add actionType to the PersonActionsModel
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.20.0.php
* Sat Feb  6 2016 hrvoje.senjan@gmail.com
- Update to 5.19.0 (boo#967668)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.19.0.php
* Sat Jan  2 2016 hrvoje.senjan@gmail.com
- Update to 5.18.0
  * Fix possible double deletion in DeclarativePersonData
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.18.0.php
* Thu Dec 10 2015 hrvoje.senjan@gmail.com
- Update to 5.17.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.17.0.php
* Sun Nov  8 2015 hrvoje.senjan@gmail.com
- Update to 5.16.0 (boo#955067)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.16.0.php
* Mon Oct  5 2015 hrvoje.senjan@gmail.com
- Update to 5.15.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.15.0.php
* Tue Sep  8 2015 hrvoje.senjan@gmail.com
- Update to 5.14.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.14.0.php
* Tue Aug  4 2015 hrvoje.senjan@gmail.com
- Update to 5.13.0
  * The Qt version requirement has been bumped from 5.2 to 5.3
  * Debug output has been ported to categorized output, for less
    noise by default
  * Docbook documentation has been reviewed and updated
  * Add AllPhoneNumbersProperty
  * PersonsSortFilterProxyModel now available for usage in QML
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.13.0.php
* Sun Jul  5 2015 hrvoje.senjan@gmail.com
- Update to 5.12.0
  * Implement PersonsModel filtering facilities
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.12.0.php
* Sun Jun  7 2015 hrvoje.senjan@gmail.com
- Update to 5.11.0
  * Use QTemporaryFile instead of hardcoding /tmp.
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.11.0.php
* Sun May  3 2015 hrvoje.senjan@gmail.com
- Update to 5.10.0
  * Use KPluginFactory for instantiating the plugins,
    instead of KService (kept for compatibility).
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.10.0.php
- Use %%lang_package macro, and drop Conflicts with libkpeople-lang
* Sat Apr  4 2015 hrvoje.senjan@gmail.com
- Update to 5.9.0
  * Allow extending action metadata by using predefined types
  * Fix model not being properly updated after removing a contact
    from Person
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.9.0.php
* Sat Mar  7 2015 hrvoje.senjan@gmail.com
- Activate kpeople5 package
